#!/usr/bin/env python

import pstats
import sys
 
p = pstats.Stats(sys.argv[1])
p.sort_stats('time','calls').print_stats(.25)
p.sort_stats('cum','calls').print_stats(.25)
p.strip_dirs().sort_stats('cum','calls').print_callers(.25)
p.strip_dirs().sort_stats('cum','calls').print_callees()

